###

#

equal_pixels
Image View » Algorithms and Utility Functions » STL-like Algorithms

std::equal for image views More...

## Functions

template<typename View1 , typename View2 >
BOOST_FORCEINLINE bool | equal_pixels (const View1 &v1, const View2 &v2)
| std::equal for image views
template<typename ... Types, typename View >
auto | equal_pixels (any_image_view< Types... > const &src, View const &dst) -> bool
template<typename View , typename ... Types>
auto | equal_pixels (View const &src, any_image_view< Types... > const &dst) -> bool
template<typename ... Types1, typename ... Types2>
auto | equal_pixels (any_image_view< Types1... > const &src, any_image_view< Types2... > const &dst) -> bool

## Detailed Description

std::equal for image views

## Function Documentation

## equal_pixels() [1/3]

auto equal_pixels | ( | any_image_view< Types... > const & | src,
|  | View const & | dst
| ) |  | -> bool

Template Parameters

  Types | Model Boost.MP11-compatible list of models of ImageViewConcept
  View | Model MutableImageViewConcept

## equal_pixels() [2/3]

auto equal_pixels | ( | any_image_view< Types1... > const & | src,
|  | any_image_view< Types2... > const & | dst
| ) |  | -> bool

Template Parameters

  Types1 | Model Boost.MP11-compatible list of models of ImageViewConcept
  Types2 | Model Boost.MP11-compatible list of models of MutableImageViewConcept

## equal_pixels() [3/3]

auto equal_pixels | ( | View const & | src,
|  | any_image_view< Types... > const & | dst
| ) |  | -> bool

Template Parameters

  View | Model ImageViewConcept
  Types | Model Boost.MP11-compatible list of models of MutableImageViewConcept